Skip to main content
POST
Create Form

Create Form

Create a new form within a workspace.

Authentication & Scope

Requires a Personal Access Token with the forms-write ability.

Request

Body Parameters

The seo_meta object accepts page_title, page_description, page_thumbnail, and page_favicon. On OpnForm Cloud, these settings are published on Pro and higher plans, on both OpnForm URLs and custom domains. Free workspaces can save them for preview, but they are omitted from the public form until the workspace upgrades. Example request:

Response

201 Created – Returns the full Form object.
403 Forbidden – The token does not include the forms-write ability.

Authorizations

Authorization
string
header
required

Personal Access Token

Body

application/json
workspace_id
number
write-only

ID of the workspace that owns the form.

title
string

The title of the form.

visibility
enum<string>

The current visibility state of the form.

Available options:
public,
draft,
closed
tags
string[] | null
language
string

Two-letter ISO language code.

custom_domain
string | null
theme
enum<string>
Available options:
default,
simple,
notion
font_family
string | null
color
string
dark_mode
enum<string>
Available options:
light,
dark,
auto
width
enum<string>
Available options:
centered,
full
size
enum<string>
Available options:
sm,
md,
lg
border_radius
enum<string>
Available options:
none,
small,
full
layout_rtl
boolean
uppercase_labels
boolean
cover_picture
string<uri> | null
logo_picture
string<uri> | null
no_branding
boolean

Whether to hide the OpnForm branding.

transparent_background
boolean

Transparent background when form is embedded.

submit_button_text
string
Maximum string length: 50
submitted_text
string
Maximum string length: 2000
redirect_url
string<uri> | null
re_fillable
boolean
re_fill_button_text
string
Maximum string length: 50
confetti_on_submission
boolean
show_progress_bar
boolean
submission_retention_value
integer | null

Number of retention units before a submission is permanently deleted. Set this and submission_retention_unit to null to disable automatic deletion.

Required range: 1 <= x <= 3650
submission_retention_unit
enum<string> | null

Calendar unit used by submission_retention_value. Both retention fields must be provided together.

Available options:
day,
week,
month,
year
closes_at
string<date-time> | null
closed_text
string | null
max_submissions_count
integer | null
Required range: x >= 1
max_submissions_reached_text
string | null
auto_save
boolean
auto_focus
boolean
enable_partial_submissions
boolean
editable_submissions
boolean
editable_submissions_button_text
string
Maximum string length: 50
password
string | null
use_captcha
boolean
captcha_provider
enum<string>
Available options:
recaptcha,
hcaptcha
can_be_indexed
boolean
seo_meta
object | null

Custom page title (page_title), description (page_description), link preview image (page_thumbnail), and favicon (page_favicon). Published on cloud Pro and higher plans, on both OpnForm URLs and custom domains.

custom_code
string | null
database_fields_update
any[] | null
properties
object[]

An array of field and layout blocks that make up the form.

Response

Form created

id
number
read-only

The unique identifier for the form.

slug
string
read-only

The URL-friendly slug for the form.

title
string

The title of the form.

visibility
enum<string>

The current visibility state of the form.

Available options:
public,
draft,
closed
tags
string[] | null
language
string

Two-letter ISO language code.

custom_domain
string | null
theme
enum<string>
Available options:
default,
simple,
notion
font_family
string | null
color
string
dark_mode
enum<string>
Available options:
light,
dark,
auto
width
enum<string>
Available options:
centered,
full
size
enum<string>
Available options:
sm,
md,
lg
border_radius
enum<string>
Available options:
none,
small,
full
layout_rtl
boolean
uppercase_labels
boolean
cover_picture
string<uri> | null
logo_picture
string<uri> | null
no_branding
boolean

Whether to hide the OpnForm branding.

transparent_background
boolean

Transparent background when form is embedded.

submit_button_text
string
Maximum string length: 50
submitted_text
string
Maximum string length: 2000
redirect_url
string<uri> | null
re_fillable
boolean
re_fill_button_text
string
Maximum string length: 50
confetti_on_submission
boolean
show_progress_bar
boolean
submission_retention_value
integer | null

Number of retention units before a submission is permanently deleted. Set this and submission_retention_unit to null to disable automatic deletion.

Required range: 1 <= x <= 3650
submission_retention_unit
enum<string> | null

Calendar unit used by submission_retention_value. Both retention fields must be provided together.

Available options:
day,
week,
month,
year
closes_at
string<date-time> | null
closed_text
string | null
max_submissions_count
integer | null
Required range: x >= 1
max_submissions_reached_text
string | null
auto_save
boolean
auto_focus
boolean
enable_partial_submissions
boolean
editable_submissions
boolean
editable_submissions_button_text
string
Maximum string length: 50
password
string | null
use_captcha
boolean
captcha_provider
enum<string>
Available options:
recaptcha,
hcaptcha
can_be_indexed
boolean
seo_meta
object | null

Custom page title (page_title), description (page_description), link preview image (page_thumbnail), and favicon (page_favicon). Published on cloud Pro and higher plans, on both OpnForm URLs and custom domains.

custom_code
string | null
database_fields_update
any[] | null
properties
object[]

An array of field and layout blocks that make up the form.